/*
  Copyright 2018-2020, Barcelona Supercomputing Center (BSC), Spain
  Copyright 2015-2020, Johannes Gutenberg Universitaet Mainz, Germany

  This software was partially supported by the
  EC H2020 funded project NEXTGenIO (Project ID: 671951, www.nextgenio.eu).

  This software was partially supported by the
  ADA-FS project under the SPPEXA project funded by the DFG.

  SPDX-License-Identifier: MIT
*/

#ifndef GEKKOFS_PROXY_FORWARD_METADATA_HPP
#define GEKKOFS_PROXY_FORWARD_METADATA_HPP

#include <proxy/proxy.hpp>

namespace gkfs {
namespace rpc {

int forward_create(const std::string& path, const mode_t mode);

std::pair<int, std::string> forward_stat(const std::string& path);

} // namespace rpc
} // namespace gkfs


#endif //GEKKOFS_PROXY_FORWARD_METADATA_HPP
